<?php

//decode by nige112
namespace app\pay\controller;

class ChargeList extends \think\Controller
{
	public function index()
	{
		$account = \think\Session::get("account");
		$datae = \think\Db::name("user")->field("Id,rmb,lock")->where("account", $account)->find();
		if ($datae["lock"] != 0) {
			return "账号被锁定！";
		}
		$HH = pay_k("", true);
		$actives = \think\Db::name("charge_active")->where("status", 1)->select();
		if (empty($actives)) {
			$this->assign(["todayCharge" => []]);
			$this->assign(["allCharge" => []]);
			$this->assign(["todayMoney" => 0]);
			$this->assign(["allMoney" => 0]);
		} else {
			$today = [];
			$all = [];
			$todayMoney = \think\Db::name("charge_order")->whereTime("pay_time", "between", [strtotime(date("Y-m-d")), strtotime(date("Y-m-d", strtotime("+1 day")))])->where("account", $account)->where("status", 1)->sum("money");
			$allMoney = \think\Db::name("charge_order")->where("account", $account)->where("status", 1)->sum("money");
			foreach ($actives as $item) {
				if ($item["type"] == 1) {
					$where = [];
					$where["account"] = $account;
					$where["active_id"] = $item["id"];
					$where["type"] = $item["type"];
					$actcount = \think\Db::name("charge_list")->where($where)->whereTime("create_time", "between", [strtotime(date("Y-m-d")), strtotime(date("Y-m-d", strtotime("+1 day")))])->count();
					if ($item["money"] <= $todayMoney) {
						if ($actcount > 0) {
							$item["recive_status"] = 1;
						} else {
							$item["recive_status"] = 2;
						}
					} else {
						$item["recive_status"] = 0;
					}
					$item["content"] = json_decode($item["items"], true);
					array_push($today, $item);
				} else {
					$where = [];
					$where["account"] = $account;
					$where["active_id"] = $item["id"];
					$where["type"] = $item["type"];
					$activeListcount = \think\Db::name("charge_list")->where($where)->count();
					if ($item["money"] <= $allMoney) {
						if ($activeListcount > 0) {
							$item["recive_status"] = 1;
						} else {
							$item["recive_status"] = 2;
						}
					} else {
						$item["recive_status"] = 0;
					}
					$item["content"] = json_decode($item["items"], true);
					array_push($all, $item);
				}
			}
			$this->assign(["todayCharge" => $today]);
			$this->assign(["allCharge" => $all]);
			$this->assign(["todayMoney" => $todayMoney]);
			$this->assign(["allMoney" => $allMoney]);
		}
		$token = $this->request->token("__token__", "sha1");
		$serverid = \think\Session::get("serverid");
		$guid = \think\Session::get("guid");
		$this->assign(["token" => $token, "account" => $account, "server" => $serverid, "guid" => $guid]);
		return $this->fetch();
	}
	public function recive(\think\Request $request)
	{
		$data = $request->param();
		if (!isset($data["id"]) || empty($data["id"])) {
			return json(["code" => 1, "msg" => "id不能为空"]);
		}
		if (!isset($data["account"])) {
			return json(["code" => 1, "msg" => "account不能为空"]);
		}
		if (!isset($data["guid"])) {
			return json(["code" => 1, "msg" => "guid不能为空"]);
		}
		if (!isset($data["server"])) {
			return json(["code" => 1, "msg" => "server不能为空"]);
		}
		$todayMoney = \think\Db::name("charge_order")->whereTime("pay_time", "between", [strtotime(date("Y-m-d")), strtotime(date("Y-m-d", strtotime("+1 day")))])->where("account", $data["account"])->where("status", 1)->sum("money");
		$allMoney = \think\Db::name("charge_order")->where("account", $data["account"])->where("status", 1)->sum("money");
		$active = \think\Db::name("charge_active")->where("id", $data["id"])->where("status", 1)->find();
		if (empty($active)) {
			return json(["code" => 1, "msg" => "充值活动不存在"]);
		}
		if ($active["type"] == 1) {
			if ($todayMoney < $active["money"]) {
				return json(["code" => 1, "msg" => "未达到活动条件"]);
			}
			$where = [];
			$where["create_time"] = "d";
			$where["account"] = $data["account"];
			$where["active_id"] = $data["id"];
			$where["type"] = $active["type"];
			$activeList = \think\Db::name("charge_list")->whereTime("create_time", "between", [strtotime(date("Y-m-d")), strtotime(date("Y-m-d", strtotime("+1 day")))])->where($where)->find();
			if (!empty($activeList)) {
				return json(["code" => 1, "msg" => "今日已领取"]);
			}
		} else {
			if ($allMoney < $active["money"]) {
				return json(["code" => 1, "msg" => "未达到活动条件"]);
			}
			$where = [];
			$where["account"] = $data["account"];
			$where["active_id"] = $data["id"];
			$where["type"] = $active["type"];
			$activecount = \think\Db::name("charge_list")->where($where)->count();
			if ($activecount > 0) {
				return json(["code" => 1, "msg" => "您已领取"]);
			}
		}
		$admindemo = new \app\common\controller\Game();
		$demail = ["role" => $data["guid"], "content" => $active["content"], "attach_item" => json_decode($active["items"], true), "server" => $data["server"], "title" => "特权卡"];
		$admindemo->sendMail($demail);
		$d = ["active_id" => $data["id"], "money" => $active["money"], "type" => $active["type"], "account" => $data["account"], "guid" => $data["guid"], "create_time" => time(), "server" => $data["server"]];
		\think\Db::name("charge_list")->insert($d);
		return json(["code" => 0, "msg" => "领取成功"]);
	}
}